{%- style -%}
  #{{ section.id }} {
    background-color: {{ section.settings.bg_color }};
    padding-top: {{ section.settings.padding_top}}px;
    padding-bottom: {{ section.settings.padding_bottom}}px;
    margin-top: {{ section.settings.margin_top}}px;
    margin-bottom: {{ section.settings.margin_bottom}}px;
  }
  #{{ section.id }} .title{
    text-align: center;
    font-size: 60px;
    font-family: FinancierDisplay;
    font-weight: 100;
    color: #014550;
    margin-top: 0px;
  }
  .product-grid{
    padding: 0px 50px;
    gap:10px
  }
  .product-grid *{
    color:white
  }
  .product-wrapper{
    max-width: calc(33% - 20px);
    min-width: calc(33% - 20px);
    padding: 20px 15px 30px;
    border-radius: 15px;
    position: relative;
    transform: translateY(0px);
    transition: .4s
  }
  .product-wrapper:hover{
    transform: translateY(-3px);
    transition: all .4s;
  }
  .product-wrapper img{
    width: 100%
  }
  .product-title{
    font-size: 20px;
    text-align: center;
    display: flex;
    flex-direction: column;
    line-height: 1.5em;
    margin-top: 0px;
  }
  .product-title strong{
    font-family: auto;
    font-size: 30px;
    font-weight: 100;
  }
  p.product-description{
    font-size: 16px;
    text-align: center;
    padding-top: 17px;
  }
  fieldset.variant-select{
    border: none;
    display: flex;
    justify-content: center;
    gap: 20px;
    padding-top: 30px;
  }
  .price-wrapper {
    display: flex;
    justify-content: center;
    gap: 20px;
    align-items: flex-start;
    padding-top:30px
  }
  p.was-price {
      font-size: 26px;
      text-decoration: line-through;
  }
  p.current-price {
      font-size: 36px;
      line-height: 1em;
  }
  .btn-wrapper{
    margin-top:20px
  }
  .btn-wrapper a{
    background-color: #3cf084;
    color: #014550;
    border: 1px solid;
    font-size: 20px;
    padding: 5px;
    border-radius: 54px;
    width: 90%;
    margin: auto;
  }
  div[data-link-trigger]{
    cursor:pointer
  }
  .btn-wrapper a:hover{
    color: #3cf084;
    background-color: transparent;
    border-color: #3cf084;
    transition: .2s
  }
  select, #{{ section.id }} .select-option{
    display:none;
  }

  .product-image{
    display: flex;
    align-items: center;
    max-height: 170px;
    justify-content: center;
    overflow: hidden;
    margin-top: -20px;
    margin-bottom:10px
  }
  .variant-slelect{
    display:none;
  }
  label{
    background: yellow;
  }
  #{{ section.id }} label{
    width: 20px;
    height: 20px;
    position: relative;
    display: block;
    cursor: pointer;
    border-radius: 20px;
  }
  .variant-select-label:before{
    content: "";
    width: 30px;
    height: 30px;
    position: absolute;
    border-radius: 20px;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    border: 2px solid;
    display: none;
  }
  .variant-select-label.is_selected:before{
    display:block;
  }
  a.btn-footer-link {
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    gap: 7px;
    color: #005450;
  }
  .btn-footer.center.container {
    margin-top: 30px;
  }
  p.btn-footer-title.center {
    font-size: 18px;
    color: #005450;
  }
  a.btn-footer-link {
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    gap: 7px;
    color: #005450;
    font-weight: 500;
    font-size: 20px;
    text-decoration: underline;
    text-underline-position: under;
  }
  .drawer__inner-empty{
    padding:0px !important;
  }
  @media screen and (max-width: 768px){
    .product-grid{
      padding: 0px 10px
    }
    .product-grid{
      flex-direction: column;
    }
    .product-wrapper{
      max-width: 100%;
    }
    .btn-wrapper a{
      max-width:350px;
    }
  }
{%- endstyle -%}

<div id="{{ section.id }}">
  {% if section.settings.title != blank%}
    <div class="container title-wrapper">
      <h2 class="title">{{ section.settings.title }}</h2>  
    </div>
  {% endif %}
  <div class="container product-grid d-flex justify-content-between">
    {% for block in section.blocks %}
      {% case block.type %}
        {% when 'featured_product' %}
          {% assign product = all_products[block.settings.product] %}
          {% assign sVariant = product.selected_or_first_available_variant %}
          <div
            id="{{ block.id }}"
            style="background-color: {{ block.settings.grid_bg_color }};"
            class="product-wrapper"
            data-pid="{{ product.id }}"
          >
            <div
              data-link-trigger
              data-target="{{ sVariant.url }}"
            >
              <div class="image-wrapper">
                {% for image in product.images %}
                  <div
                    class="product-image  {%  if sVariant.image != image %} hide {% endif %}"
                    target-name="{{ image.altText }}"
                    data-image-name="{{ image.alt }}"
                    data-vids="{% for variant in  image.variants%} {{ variant.id }},{% endfor %}"
                    data-img-id="{{ section.id }}-{{ image.id }}"
                  >
                    <img src="{{ image |img_url: '500x'}}" alt="">
                  </div>
                {% endfor %}
              </div>
              <p class="product-title">
                Whistle™
                <strong>{{ product.title }}</strong>
              </p>
              <p class="product-description">
                {{ product.description }}
              </p>
            </div>
            <div class="form-wrapper">
              <div class="option-wrapper">
                <select name="" class="variant-data">
                  {% for variant in product.variants %}
                    <option
                      class="v-data-option"
                      options="{{ variant.option1 }},{{variant.option2}} ,{{ variant.option3}}"
                      vurl="{{ variant.url }}"
                      vid="{{ variant.id }}"
                      variant-image="{{ variant.image }}"
                      variant-compare-at-price="{{ variant.compare_at_price |money }}"
                      variant-price="{{ variant.price |money}}"
                    ></option>
                  {% endfor %}
                </select>
                <fieldset class="variant-select" data-pid="{{ product.id }}">
                  {% for option in product.options_with_values %}
                    {% if option.name == 'color' or option.name == 'Color' %}
                      {% for value in option.values %}
                        <input
                          class="select-option"
                          type="radio"
                          id="{{ block.id }}_{{ value }}"
                          name="product-option-for-{{ block.id }}"
                          value="{{ value }}"
                        >
                        <label
                          class="
                            variant-select-label
                            {% if sVariant.option1 == value or sVariant.option2 == value or sVariant.option3 %}
                              is_selected
                            {% endif %}
                          "
                          data-color-name="{{ value }}"
                          for="{{ block.id }}_{{ value }}"
                        >
                        </label>
                      {% endfor %}
                    {% endif %}
                  {% endfor %}
                </fieldset>
              </div>
              <div class="price-wrapper">
                <p class="was-price">{{ sVariant.compare_at_price | money }}</p>
                <p class="current-price">{{ sVariant.price | money }}</p>
              </div>
              <div class="btn-wrapper d-flex center">
                <a
                  href="javascript:;"
                  data-link-trigger
                  data-target="{{ sVariant.url }}"
                >
                  {{- block.settings.btn_text -}}
                </a>
              </div>
            </div>
          </div>
      {% endcase %}
    {% endfor %}
  </div>
  <div class="btn-footer center container">
    <p class="btn-footer-title center">{{ section.settings.btn_footer_title }}</p>
    <a
      class="btn-footer-link"
      href="{{ section.settings.compare_btn_url }}"
      class="m-blue"
      data-popup-open="compare-model"
      aria-describedby="a11y-external-message"
    >
      {{- section.settings.compare_btn_text }}
      {{ section.settings.compare_btn_icon }}
    </a>
  </div>
</div>

{% schema %}
{
  "name": "Featured Product Grid",
  "class": "section",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background Color"
    },
    {
      "type":"text",
      "id": "title",
      "label": "Title"
    },
    {
      "type": "text",
      "id": "btn_footer_title",
      "label": "Button footer title text"
    },
    {
      "type": "text",
      "id": "compare_btn_text",
      "label": "Compare button text"
    },
    {
      "type": "html",
      "id": "compare_btn_icon",
      "label": "Compare button icon"
    },
    {
      "type": "url",
      "id": "compare_btn_url",
      "label": "Compare url"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 100,
      "step": 4,
      "unit": "px",
      "label": "Margin Top",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 100,
      "step": 4,
      "unit": "px",
      "label": "Margin Bottom",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 100,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 100,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    }
  ],
  "blocks": [
    {
      "type": "featured_product",
      "name": "Featured Product",
      "limit": 3,
      "settings": [
        {
          "type": "color",
          "id": "grid_bg_color",
          "label": "Grid item background color"
        },
        {
          "type": "product",
          "id": "product",
          "label": "Product"
        },
        {
          "type": "text",
          "id": "btn_text",
          "label": "Button Text"
        }
      ]
    }
  ],
  "presets": [
    {
      "name": "Featured Product Grid"
    }
  ]
}
{% endschema %}

<script>
  $('.variant-select input').on('change', function () {
    $(this)
      .parents('.product-wrapper')
      .find('option.v-data-option')
      .each((i, e) => {
        if ($(e).attr('options').indexOf($(this).val()) > -1) {
          const selectVariant = $(e);
          $(this).parents('.product-wrapper').find('.was-price').text(selectVariant.attr('variant-compare-at-price'));
          $(this).parents('.product-wrapper').find('.current-price').text(selectVariant.attr('variant-price'));
          $(this)
            .parents('.product-wrapper')
            .find('.product-image')
            .each((i, ee) => {
              $(ee).addClass('hide');
              if ($(ee).attr('data-image-name') == $(this).val()) {
                $(ee).removeClass('hide');
              }
            });
          $(this)
            .parents('.product-wrapper')
            .find('[data-link-trigger]')
            .attr('data-target', selectVariant.attr('vurl'));
        }
        return;
      });
  });

  $('[data-link-trigger]').on('click', function () {
    window.location.assign($(this).attr('data-target'));
  });

  $('label').on('click', function () {
    $(this).parents('.product-wrapper').find('label').removeClass('is_selected');
    $(this).addClass('is_selected');
  });
</script>
